> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Thank You

> Get Thank You details

<Note>
  **OAuth scope:** `thankyou_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml GET /open-api/v1.0/thank-yous/{thankYouId}
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/thank-yous/{thankYouId}:
    get:
      tags:
        - Thank yous
      summary: Get Thank You by id
      description: Get Thank You details
      operationId: get-thank-you
      parameters:
        - name: thankYouId
          in: path
          required: true
          schema:
            type: string
          example: ty_EdJvIXu3SEiXe_QkPavHSA
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/com.fourthwall.openapi.model.ThankYouV1'
        '404':
          description: >-
            Possible errors: `KUDOS_CONTRIBUTION_DOES_NOT_EXIST`,
            `KUDOS_THANK_YOU_DOES_NOT_EXIST`
          content:
            application/json:
              examples:
                kudos-contribution-does-not-exist:
                  value:
                    code: KUDOS_CONTRIBUTION_DOES_NOT_EXIST
                    kudosId: <kudosid>
                kudos-thank-you-does-not-exist:
                  value:
                    code: KUDOS_THANK_YOU_DOES_NOT_EXIST
                    thankYouId: <thankyouid>
      security:
        - oauth:
            - thankyou_read
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/thank-yous/get-thank-you
components:
  schemas:
    com.fourthwall.openapi.model.ThankYouV1:
      type: object
      properties:
        id:
          type: string
          example: ty_EdJvIXu3SEiXe_QkPavHSA
        mediaUrl:
          type: string
          example: https://fourthwall.com/thankyou/ty_EdJvIXu3SEiXe_QkPavHSA
        contribution:
          oneOf:
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Donation
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.GiftPurchase
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Membership
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Order
      required:
        - contribution
        - id
        - mediaUrl
      title: Thank You
    com.fourthwall.openapi.model.ThankYouContribution.Donation:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution
        - type: object
          properties:
            id:
              type: string
              example: don_Kpcjx4HIQ1e4bTIOjX9CsA
            shopId:
              type: string
              example: sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb
            supporter:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Supporter
        - type: object
          properties:
            type:
              type: string
              const: DONATION
      required:
        - id
        - shopId
        - supporter
      title: Donation
    com.fourthwall.openapi.model.ThankYouContribution.GiftPurchase:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution
        - type: object
          properties:
            id:
              type: string
              example: giv_EdJvIXu3SEiXe_QkPavHSA
            shopId:
              type: string
              example: sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb
            supporter:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Supporter
        - type: object
          properties:
            type:
              type: string
              const: GIFT_PURCHASE
      required:
        - id
        - shopId
        - supporter
      title: Gift Purchase
    com.fourthwall.openapi.model.ThankYouContribution.Membership:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution
        - type: object
          properties:
            id:
              type: string
              example: mpc_EdJvIXu3SEiXe_QkPavHSA
            shopId:
              type: string
              example: sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb
            supporter:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Supporter
        - type: object
          properties:
            type:
              type: string
              const: MEMBERSHIP_PAYMENT_CHARGE
      required:
        - id
        - shopId
        - supporter
      title: Membership
    com.fourthwall.openapi.model.ThankYouContribution.Order:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution
        - type: object
          properties:
            id:
              type: string
              example: 00aa4abd-5778-4199-8161-0b49b2f212e5
            shopId:
              type: string
              example: sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb
            supporter:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Supporter
        - type: object
          properties:
            type:
              type: string
              const: ORDER
      required:
        - id
        - shopId
        - supporter
      title: Order
    com.fourthwall.openapi.model.ThankYouContribution:
      discriminator:
        propertyName: type
        mapping:
          ORDER:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Order
          DONATION:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Donation
          GIFT_PURCHASE:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.GiftPurchase
          MEMBERSHIP_PAYMENT_CHARGE:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.ThankYouContribution.Membership
      properties:
        type:
          type: string
      required:
        - type
      title: Thank You Contribution
    com.fourthwall.openapi.model.ThankYouContribution.Supporter:
      type: object
      properties:
        email:
          type: string
          example: supporter@fourthwall.com
        username:
          type: string
          example: Johnny123
        message:
          type: string
          example: Sample message
      required:
        - email
      title: Supporter
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````